<bugID>1387313<Summary>Allow dragging non-removable items (url bar, back/forward buttons) within their toolbar</Summary><Description>With the splitting out of the navigation and refresh buttons from the location bar container we can now move the refresh button to wherever we may want. However the back and forward buttons are immovable, although you can place something between them.  The reason given for locking these buttons was that a user might move them out of the toolbar and then not be able to navigate.  This makes some sense but without the ability to move them within the toolbar it does almost defeat the purpose of pulling them out of the location bar container in the first place.</Description></bugID>